GNU/Linux Administration - Feature #706

Add Linux Headers to Kali 2.0
12/03/2015 12:37 PM - Daniel Curtis

Status: Closed Start date: 12/03/2015
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Intrusion Detection/Prevention Estimated time: 0.10 hour
Target version: Kali 2 Spent time: 0.50 hour
Description

| recently tried to install the linux-headers package for Kali 2 in a VM, however | could not find the linux-headers package anywhere.
It turns out that the default Kali repository does not include the headers package, and in order to install it the Kali archive repository.

e Add the kali-archive apt list:

echo 'deb http://http.kali.org/kali sana main non-free contrib' >> /etc/apt/sources.list.d/kal

i-archive.list

echo 'deb-src http://http.kali.org/kali sana main non-free contrib' >> /etc/apt/sources.list.d

/kali-archive.list

e Update the repository cache and upgrade the system:

apt—-get update && apt-get upgrade

e |nstall the headers package:

apt—-get install linux—-headers-$ (uname -r)

Resources

e hitp://www.computingforgeeks.com/2015/08/how-to-install-linux-kernel-headers-on.html

History

#1 - 12/03/2015 03:49 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 02/20/2016 07:15 PM - Daniel Curtis

- Status changed from Resolved to Closed
